For the complete documentation index, see llms.txt. This page is also available as Markdown.

List documents

URL

GET https://api.complycube.com/v1/documents?clientId=:id

This endpoint allows you to list all existing documents for a given client. The documents are returned sorted by creation date, with the most recent documents appearing first.

Headers

Name
Type
Description

Authorization*

string

The API live or test key.

Query parameters

Name
Type
Description

clientId*

string

The ID of the client.

<pagination>

string

The number of items to return and the number of pages to offset.

<filtering>

string

Filter the results.

You can use pagination and document filters for this endpoint.

Example request

curl -X GET https://api.complycube.com/v1/documents?clientId={:clientId} \
     -H 'Authorization: <YOUR_API_KEY>'
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const documents = await complycube.document.list("CLIENT_ID");
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

documents = cc_api.documents.list('CLIENT_ID')
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$documents = $ccapi->documents()->list('CLIENT_ID');
using ComplyCube.Net;
using ComplyCube.Net.Resources.Documents;

var docApi = new DocumentApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var documents = await docApi.ListAsync("CLIENT_ID");

Example response

{
    "page": 1,
    "pageSize": 100,
    "totalItems": 1,
    "pages": 1,
    "items": [
        {
            "id": "5eb158880c19580007310f22",
            "clientId": "5eb1276d96be4a0008713af5",
            "type": "passport",
            "classification": "proof_of_identity",
            "issuingCountry": "GB",
            "createdAt": "2020-01-04T17:24:29.146Z",
            "updatedAt": "2020-01-04T17:13:10.712Z"
        }
    ]
}
{
    "type": "invalid_request",
    "message": "The query parameter 'clientId' is required"
}